Hi

That’s a warning present for a very long time. I already prepared the update to 
maven-bundle-plugin 4.2.1 allowing us to build using JDK 11 (targeted for 
ActiveMQ 5.17.0).

This warning also exists on activemq-5.15.x branch for very very long time.

So, no blocker, and I already fix that.

Regards
JB

> Le 30 juin 2020 à 06:51, Arthur Naseef <a...@amlinv.com> a écrit :
> 
> I'm building now.  Don't know how quickly it'll get done, so I won't be
> surprised if the vote is closed before then.
> 
> There is an error in making the activemq-client bundle - any thoughts on
> this?
> 
> 
> [INFO] --- maven-bundle-plugin:2.3.7:bundle (default-bundle) @
> activemq-client ---
> java.lang.ArrayIndexOutOfBoundsException: 18
>        at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:448)
>        at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:369)
>        at aQute.lib.osgi.Clazz.parseClassFileWithCollector(Clazz.java:359)
>        at aQute.lib.osgi.Clazz.parseClassFile(Clazz.java:349)
>        at aQute.lib.osgi.Analyzer.analyzeJar(Analyzer.java:1725)
>        at
> aQute.lib.osgi.Analyzer.analyzeBundleClasspath(Analyzer.java:1595)
>        at aQute.lib.osgi.Analyzer.analyze(Analyzer.java:124)
>        at aQute.lib.osgi.Builder.analyze(Builder.java:306)
>        at aQute.lib.osgi.Analyzer.calcManifest(Analyzer.java:301)
>        at aQute.lib.osgi.Builder.build(Builder.java:73)
>        at
> org.apache.felix.bundleplugin.BundlePlugin.buildOSGiBundle(BundlePlugin.java:547)
>        at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:347)
>        at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:264)
>        at
> org.apache.felix.bundleplugin.BundlePlugin.execute(BundlePlugin.java:255)
>        at
> org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:137)
>        at
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:210)
>        at
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:156)
>        at
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:148)
>        at
> org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:117)
>        at
> org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:81)
>        at
> org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:56)
>        at
> org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128)
>        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:305)
>        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:192)
>        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:105)
>        at org.apache.maven.cli.MavenCli.execute(MavenCli.java:956)
>        at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:288)
>        at org.apache.maven.cli.MavenCli.main(MavenCli.java:192)
>        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>        at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>        at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>        at java.lang.reflect.Method.invoke(Method.java:498)
>        at
> org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:282)
>        at
> org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:225)
>        at
> org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:406)
>        at
> org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:347)
> [WARNING] Bundle org.apache.activemq:activemq-client:bundle:5.16.0 :
> Instructions in Private-Package, or -testpackages that are never used:
> com\.google\.errorprone\.annotations\.concurrent
>                com\.google\.errorprone\.annotations
> Classpath:
> Jar:.,Jar:slf4j-api,Jar:geronimo-jms_1.1_spec,Jar:hawtbuf,Jar:geronimo-j2ee-management_1.1_spec,Jar:commons-net,Jar:jmdns,Jar:log4j
> 
> [WARNING] Bundle org.apache.activemq:activemq-client:bundle:5.16.0 : Did
> not find matching referal for !com.google.errorprone.annotations
> [WARNING] Bundle org.apache.activemq:activemq-client:bundle:5.16.0 : Did
> not find matching referal for !com.google.errorprone.annotations.concurrent
> [ERROR] Bundle org.apache.activemq:activemq-client:bundle:5.16.0 :
> Exception: 18
> [ERROR] Bundle org.apache.activemq:activemq-client:bundle:5.16.0 : Invalid
> class file: org/apache/activemq/filter/DestinationMap.class
> 
> I believe this is not causing the build to fail, but I can't rule that out
> because I used "mvn -fn ..." to ensure a complete build.
> 
> So far, all of the tests are passing (up to LevelDBStoreBrokerTest).
> 
> Art
> 
> 
> On Mon, Jun 29, 2020 at 9:53 AM Daniel Kulp <dk...@apache.org> wrote:
> 
>> +1, simple building and running basic tests looks OK
>> 
>> --
>> Daniel Kulp
>> dk...@apache.org <mailto:dk...@apache.org> - http://dankulp.com/blog <
>> http://dankulp.com/blog>
>> Talend - http://talend.com <http://talend.com/>
>> 
>> 
>> 
>>> On Jun 25, 2020, at 10:23 AM, Jean-Baptiste Onofré <j...@nanthrax.net>
>> wrote:
>>> 
>>> Hi everyone,
>>> 
>>> Now that we fixed the ASF header issue, I'm submitting ActiveMQ 5.16.0
>>> release to your vote (take #2).
>>> 
>>> This release is an important milestone as the runtime supports JDK 11.
>>> The full build with JDK 11 is planned for 5.17.0.
>>> 
>>> It also includes bunch of fixes, improvements and much more.
>>> 
>>> For your information, once this vote will pass, I will create
>>> activemq-5.16.x branch and I will move master branch to version 5.17.0.
>>> 
>>> Please take a look on the Release Notes for details:
>>> 
>> https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12311210&version=12341032
>>> 
>>> The Maven staging repository is:
>>> 
>> https://repository.apache.org/content/repositories/orgapacheactivemq-1213/
>>> 
>>> The dist staging repository is:
>>> https://dist.apache.org/repos/dist/dev/activemq/activemq/5.16.0/
>>> 
>>> Git tag:
>>> activemq-5.16.0
>>> 
>>> Please vote to approve this release:
>>> 
>>> [ ] +1 Approve the release
>>> [ ] -1 Don't approve the release (please provide specific comments)
>>> 
>>> This vote will be open for at least 72 hours.
>>> 
>>> Thanks !
>>> Regards
>>> JB
>> 
>> 

Reply via email to